Overview | Package | Class | Deprecated | Index | Help
| Groovy Documentation
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.codehaus.groovy.grails.cli.fork.compile
[Groovy] Class ForkedGrailsCompiler

    java.lang.Object
      org.codehaus.groovy.grails.cli.fork.ForkedGrailsProcess
          org.codehaus.groovy.grails.cli.fork.ForkedGrailsProjectClassExecutor
              org.codehaus.groovy.grails.cli.fork.compile.ForkedGrailsCompiler

    @groovy.transform.CompileStatic
    class ForkedGrailsCompiler
    extends ForkedGrailsProjectClassExecutor

Forked implementation of Grails project compiler

Authors:
  Graeme Rocher

Since:
  2.3

Field Summary

Fields inherited from class ForkedGrailsProcess
DEBUG_FORK, DEFAULT_DAEMON_PORT, DEFAULT_DEBUG_ARGS

Constructor Summary
`ForkedGrailsCompiler(BuildSettings buildSettings)`
`protected ForkedGrailsCompiler()`

Method Summary
`protected void` | `configureFork(BuildSettings buildSettings)`
`protected java.lang.Object` | `createInstance(java.lang.Class projectComponentClass, BuildSettings buildSettings)`
`protected java.lang.String` | `getProjectClassType()`
`static void` | `main(java.lang.String[] args)`
`int` | `runInstance(java.lang.Object instance)`

Methods inherited from class ForkedGrailsProjectClassExecutor
createEventListener, createExecutionContext, createExecutionContext, createInstance, getProjectClassType, initializeProjectInstance, run, runInstance

Methods inherited from class ForkedGrailsProcess
attachOutputListener, buildMinimalIsolatedClasspath, buildProcessCommand, configure, configureFork, createClassLoader, discoverAndSetAgent, findJarFile, findSystemClasspathJars, findToolsJar, fork, forkDaemon, forkReserve, forkReserveProcess, getBoostrapClasspath, getResumeDir, initializeBuildSettings, initializeClassLoader, initializeLogging, isDaemonProcess, isDaemonRunning, isDebugForkEnabled, isForkingReserveEnabled, isReserveProcess, isWindows, killAfterTimeout, readExecutionContext, readExecutionContext, readLine, restartDaemon, runDaemonCommand, setupReloading, shouldRunWithDaemon, startDaemon, startProjectWatcher, storeExecutionContext, waitForResume

Methods inherited from class java.lang.Object
java.lang.Object#wait(long, int), java.lang.Object#wait(long), java.lang.Object#wait(), java.lang.Object#equals(java.lang.Object), java.lang.Object#toString(), java.lang.Object#hashCode(), java.lang.Object#getClass(), java.lang.Object#notify(), java.lang.Object#notifyAll()

Constructor Detail

### ForkedGrailsCompiler

    ForkedGrailsCompiler(BuildSettings buildSettings)

### ForkedGrailsCompiler

    protected ForkedGrailsCompiler()

Method Detail

### configureFork

    @java.lang.Override
    protected void configureFork(BuildSettings buildSettings)

### createInstance

    @java.lang.Override
    protected java.lang.Object createInstance(java.lang.Class projectComponentClass, BuildSettings buildSettings)

### getProjectClassType

    @java.lang.Override
    protected java.lang.String getProjectClassType()

### main

    static void main(java.lang.String[] args)

### runInstance

    @java.lang.Override
    int runInstance(java.lang.Object instance)

Groovy Documentation